Download it now!
Bug 112757 - [NEWHELP] Improvements required in index search
Summary: [NEWHELP] Improvements required in index search
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: easyHack, topicDoc
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2017-09-29 14:18 UTC by Olivier Hallot
Modified: 2017-12-29 11:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2017-09-29 14:18:15 UTC
from the New Help scratchpad

https://docs.google.com/document/d/1ZnSQ4B216CNROHvzXgRwe2SuoJH9MikcxByXYVQm1z8/edit?ts=59cbd4e8#

List
Index list should overlap page content and not push it downwards
Index list should only appear after typing at least 3 or 4 chars

Files to touch

defaults.css
help.js
Comment 1 Heiko Tietze 2017-10-07 07:15:07 UTC
I always wondered why we don't run own indexing but Google. Elasticsearch shouldn't be too much effort for experts https://www.elastic.co/
Comment 2 Olivier Hallot 2017-10-09 09:11:31 UTC
The index here is built from the <bookmark_value> tags and thus the search is restricted to a (long) list and results in a page within the Help.

The search with google or a substitute (Elasticsearch) is in the "Search" tab and is done by searchng "LibreOffice" on a limited set of valid websites (help.l.o, helponline.l.o, documentation.l.o wiki.t.o, <lang>.l.o), and excluding *.microsoft.com and *.office.com

So if I search "pivot table" I actually search "libreoffice pivot table" in the LO websites and TDF websites, and excludes results from MsOffice.

Please open a specific bug on the right search engine to use.
Comment 3 Olivier Hallot 2017-12-16 13:06:31 UTC
fixed by

https://gerrit.libreoffice.org/#/c/46134/
Comment 4 Commit Notification 2017-12-29 11:50:09 UTC
Ilmari Lauhakangas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=50b850013374e0f711b5cded92739934d758bf1f

tdf#114709, tdf#112758, tdf#112757